Gladiators are excellent Fighters during 1 on 1 situations, unlike Warlords. Specifically, he carries two weapons on both hand and because he thinks offense is the best form of defense he does not wear heavy armor. During party play the Gladiator is one of the strongest non-magic character. Also if a melee occurs or pin-point attack situation occurs he still can overcome it.
This is why he uses a skill which uses his twin blades' strong slashes repeatedly. And he can fire sword beams to oppress his opponent.
To be a Gladiator, your level must be over 40 and you need to collect the Mark of the Challenger, the Mark of Trust, and the Mark of the Duelist.
Ask about marks.
Return